///////////////////////////////////////////////////////////////////////////////
// OwnXid.java -- example how to implement the interface Xid

package samples;

import javax.transaction.xa.*;

public class OwnXid implements Xid
{
    private int formatId;
    private byte [] globalId;
    private byte [] branchId;
    
    public OwnXid( int formatId, byte [] globalId, byte [] branchId )
    {
        this.formatId = formatId;
        this.globalId = globalId;
        this.branchId = branchId;
    }
    
    public int getFormatId()
    {
        return formatId;
    }
    
    public byte[] getGlobalTransactionId()
    {
        return globalId;
    }
    
    public byte[] getBranchQualifier()
    {
        return branchId;
    }
}
